Bug 785293 - [virt-manager] qemu-0.15 tcg doesn't boot Vista x64 CD
[virt-manager] qemu-0.15 tcg doesn't boot Vista x64 CD
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-27 16:38 EST by Tobias Mueller
Modified: 2013-02-11 17:16 EST (History)
18 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-11 17:16:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tobias Mueller 2012-01-27 16:38:00 EST
Description of problem:
I can't boot the Vista x64 ISO

Version-Release number of selected component (if applicable):


How reproducible:
I used the virtual machine manager to create a Windows Vista VM. I double checked that the x64 CPU is selected.


Steps to Reproduce:
1.
2.
3.
  
Actual results:
Bluescreen with STOP: 0x0000005D

Expected results:


Additional info:
Comment 1 Justin M. Forbes 2012-01-27 17:11:08 EST
What are the steps to reproduce? What is the qemu command line called?  This should be in /var/log/libvirt/qemu/<machinename>.log
Comment 2 Tobias Mueller 2012-01-27 18:19:17 EST
Reproducing is easy: Click New machine, select the ISO and Windows, click next next next and try to boot.

That's the log:

2012-01-27 21:35:36.687+0000: starting up
LC_ALL=C PATH=/sbin:/usr/sbin:/bin:/usr/bin QEMU_AUDIO_DRV=none /usr/bin/qemu-system-x86_64 -S -M pc-0.14 -no-kvm -m 1024 -smp 1,sockets=1,cores=1,threads=1 -name test2 -uuid b6f87ee7-319c-4248-6baa-003029e13c2c -nodefconfig -nodefaults -chardev socket,id=charmonitor,path=/var/lib/libvirt/qemu/test2.monitor,server,nowait -mon chardev=charmonitor,id=monitor,mode=control -rtc base=localtime -no-reboot -drive file=/var/lib/libvirt/images/test2.img,if=none,id=drive-ide0-0-0,format=raw -device ide-drive,bus=ide.0,unit=0,drive=drive-ide0-0-0,id=ide0-0-0,bootindex=2 -drive file=/path/to/vistax64sp198.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -netdev tap,fd=22,id=hostnet0 -device rtl8139,netdev=hostnet0,id=net0,mac=52:54:00:8d:92:57,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -usb -device usb-tablet,id=input0 -vnc 127.0.0.1:0 -vga std -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x5
char device redirected to /dev/pts/18
qemu: terminating on signal 15 from pid 1230
2012-01-27 21:39:49.803+0000: shutting down
Comment 3 Andreas Gruenbacher 2012-02-09 16:51:38 EST
I have the same problem here.  Code 0x0000005D seems to indicate that the CPU isn't supported.  Changing CPU options didn't immediately help.  Windows 7, 64-bit has the same problem (it takes slightly longer to reach that point though).
Comment 4 Justin M. Forbes 2012-02-10 17:28:14 EST
I notice you are trying to boot with kvm disabled?  Does this work with kvm enabled?
Comment 5 Tobias Mueller 2012-02-10 18:39:54 EST
I can't test that because my hardware is not KVM enabled :-(
Comment 6 Andreas Gruenbacher 2012-02-11 03:32:10 EST
Ah, enabling KVM did solve the problem for me.

I wonder how I ended up with kvm disabled in the first place though: I installed all the necessary packages (including qemu-kvm), and then, without rebooting, I defined and started a new VM in virt-manager.  Apparently the appropriate kernel modules did not get loaded.  (A reboot would have loaded them.)  This looks like an unnecessary pitfall.
Comment 7 Fedora Admin XMLRPC Client 2012-03-15 13:56:33 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora End Of Life 2013-01-16 15:43:01 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Cole Robinson 2013-02-11 17:16:14 EST
I can reproduce on F18, seems like this a long known problem with qemu + tcg, here's the upstream bug:

https://bugs.launchpad.net/qemu/+bug/921208

Changing the cpu doesn't seem to help either, I tried the default and -cpu host and same error.

Since this doesn't seem like it's on track to be fixed anytime soon, and there's a reasonably active upstream report, anyone that is interested should follow up there. Duplicating that bug in the Fedora tracker isn't particularly helpful.

Note You need to log in before you can comment on or make changes to this bug.